public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mail-client/trojita/
Date: Thu, 14 Feb 2019 18:37:00 +0000 (UTC)	[thread overview]
Message-ID: <1550169372.8d88d48f9cfe61c619ecd890f2dc169237f9be2c.asturm@gentoo> (raw)

commit:     8d88d48f9cfe61c619ecd890f2dc169237f9be2c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 14 18:29:22 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb 14 18:36:12 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d88d48f

mail-client/trojita: Switch from gnome2-utils to xdg, EAPI-7 bump

Package-Manager: Portage-2.3.60, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 mail-client/trojita/trojita-9999.ebuild | 48 +++++++++++++--------------------
 1 file changed, 18 insertions(+), 30 deletions(-)

diff --git a/mail-client/trojita/trojita-9999.ebuild b/mail-client/trojita/trojita-9999.ebuild
index 3868e240b41..268f9915e76 100644
--- a/mail-client/trojita/trojita-9999.ebuild
+++ b/mail-client/trojita/trojita-9999.ebuild
@@ -1,18 +1,19 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-EGIT_REPO_URI="https://anongit.kde.org/${PN}.git"
-inherit cmake-utils gnome2-utils virtualx xdg-utils
-[[ ${PV} == 9999 ]] && inherit git-r3
-
-DESCRIPTION="A Qt IMAP e-mail client"
-HOMEPAGE="http://trojita.flaska.net/"
-if [[ ${PV} != 9999 ]]; then
+if [[ ${PV} = *9999* ]]; then
+	EGIT_REPO_URI="https://anongit.kde.org/${PN}.git"
+	inherit git-r3
+else
 	SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
 	KEYWORDS="~amd64 ~x86"
 fi
+inherit cmake-utils virtualx xdg
+
+DESCRIPTION="A Qt IMAP e-mail client"
+HOMEPAGE="http://trojita.flaska.net/"
 
 LICENSE="|| ( GPL-2 GPL-3 )"
 SLOT="0"
@@ -20,7 +21,12 @@ IUSE="+crypt +dbus debug +password test +zlib"
 
 REQUIRED_USE="password? ( dbus )"
 
-RDEPEND="
+BDEPEND="
+	dev-qt/linguist-tools:5
+	test? ( dev-qt/qttest:5 )
+	zlib? ( virtual/pkgconfig )
+"
+DEPEND="
 	dev-qt/qtcore:5
 	dev-qt/qtgui:5
 	dev-qt/qtnetwork:5[ssl]
@@ -36,11 +42,7 @@ RDEPEND="
 	password? ( dev-libs/qtkeychain[qt5(+)] )
 	zlib? ( sys-libs/zlib )
 "
-DEPEND="${RDEPEND}
-	dev-qt/linguist-tools:5
-	test? ( dev-qt/qttest:5 )
-	zlib? ( virtual/pkgconfig )
-"
+RDEPEND="${DEPEND}"
 
 DOCS=( README LICENSE )
 
@@ -49,7 +51,7 @@ src_prepare() {
 
 	# the build system is taking a look at `git describe ... --dirty` and
 	# gentoo's modifications to CMakeLists.txt break these
-	sed -i "s/--dirty//" "${S}/cmake/TrojitaVersion.cmake" || die "Cannot fix the version check"
+	sed -e "s/--dirty//" -i cmake/TrojitaVersion.cmake || die "Cannot fix the version check"
 }
 
 src_configure() {
@@ -69,17 +71,3 @@ src_configure() {
 src_test() {
 	virtx cmake-utils_src_test
 }
-
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
-pkg_postinst() {
-	xdg_desktop_database_update
-	gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-	xdg_desktop_database_update
-	gnome2_icon_cache_update
-}


             reply	other threads:[~2019-02-14 18:37 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-14 18:37 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-12-07 19:10 [gentoo-commits] repo/gentoo:master commit in: mail-client/trojita/ Andreas Sturmlechner
2020-06-30 19:56 Andreas Sturmlechner
2020-06-29 17:37 Andreas Sturmlechner
2020-06-29 13:40 Agostino Sarubbo
2020-06-29 13:35 Agostino Sarubbo
2020-06-28 21:55 Andreas Sturmlechner
2020-04-19 12:01 Andreas Sturmlechner
2019-09-08 16:31 Andreas Sturmlechner
2019-09-08 16:29 Andreas Sturmlechner
2019-09-08 16:29 Andreas Sturmlechner
2019-05-21 18:41 Andreas Sturmlechner
2019-05-21 18:41 Andreas Sturmlechner
2019-05-21 18:41 Andreas Sturmlechner
2018-04-18 17:49 Andreas Sturmlechner
2018-04-10  9:22 Andreas Sturmlechner
2018-04-10  9:22 Andreas Sturmlechner
2018-03-14 10:45 Michael Palimaka
2017-09-19 12:19 Michael Palimaka
2017-05-11 18:43 Andreas Sturmlechner
2017-05-11  8:37 Agostino Sarubbo
2017-05-11  7:51 Agostino Sarubbo
2016-12-21 12:27 Michael Palimaka
2016-07-17 18:59 Michael Palimaka
2016-06-22 11:33 Michael Palimaka
2016-06-15 13:20 Michael Palimaka
2016-06-15 13:20 Michael Palimaka
2016-03-18 11:17 Michael Palimaka
2016-03-05 22:51 Mikle Kolyada
2016-01-29  8:39 Michael Palimaka
2016-01-29  8:39 Michael Palimaka
2016-01-05 10:55 Agostino Sarubbo
2015-10-01 14:21 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550169372.8d88d48f9cfe61c619ecd890f2dc169237f9be2c.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox